Skip to navigation

Get AutomationTemplateDataFrameVariable by ID

Beta
Get a single AutomationTemplateDataFrameVariable by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

automation_template_data_frame_variable_idstringRequired
ID of the AutomationTemplateDataFrameVariable.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstringOptional
descriptionstringOptional
idstringOptional
modifiedAtstringOptional
namestringOptional
replaceDataFrameColumnsSpeclist of objectsOptional
Expected column structure that the provided DataFrame must match.
replaceStepobjectOptional
The AutomationStep whose input will be replaced by the bound DataFrame.
replaceStepDataobjectOptional
The specific AutomationStepData slot on the step that receives the bound DataFrame.
replaceStepDataIndexintegerOptional
The index within the step data slot where the bound DataFrame is placed.
templateobjectOptional

Errors

400
Automation Template Data Frame Variable Get Request Bad Request Error
403
Automation Template Data Frame Variable Get Request Forbidden Error
404
Automation Template Data Frame Variable Get Request Not Found Error
429
Automation Template Data Frame Variable Get Request Too Many Requests Error
500
Automation Template Data Frame Variable Get Request Internal Server Error